// CGI JSDB Library
// All rights reserved, Jean-Marc QUERE 2008
// released under the  GNU General Public License v3
// quere.jmarc@free.fr
//

// Usage :
// Add the tests to check to the chk.lst file, see example :
//
// test.txt;$<20 @@ @>10
//
// where $ is the file size and @ the file age (in minutes).
//
var tab;
var dte=new Date()
var out=new Stream('chk.htm','w');
var lst=new Stream('chk.lst','r');

function verify(nme,tst) {
	var nat=system.attributes(nme);
	var evl=false;
	if (nat) {
		evl=tst.replace(/\$/g,nat.size).replace(/@/g,Math.round((dte-nat.date)/60000));
	}
	return eval(evl);
}

function htmlverify(nme,tst) {
	var res='<tr><td align=\'center\' bgcolor=\'';
	if (verify(nme,tst)) {
		res=res+'yellow\'>';
	}
	else {
		res=res+'red\'>';
	}

	return res+'<a href=\''+nme+'\'>'+escape(nme)+'</td></tr>';
}

out.writeln('<html><head><title>chk.js</title></head><body><table>');
while (lst.canRead) {
	tab=lst.readln().split(';');
	if (tab.length==2) {
		out.writeln(htmlverify(tab[0],tab[1]));
	}
}
out.writeln('</table></body></html>');
out.close();