// SQLD JSDB Daemon
// All rights reserved, Jean-Marc QUERE 2008
// released under the  GNU General Public License v3
// quere.jmarc@free.fr
//
function user(sckt,date) {
	this.sckt=sckt;
	this.date=date;
	this.buff="";
	this.pswd=false;
	this.rslt="";
}

function SQLD() {
	var file='sqld.conf';
	this.base='sqld.sq3';
	this.port=2000;
	this.pswd='sqld';
	this.list=new Array(0);

	if (system.exists(file)) {
		try {
			var data=eval(new Stream(file).readText());
			this.base=data.base || this.base;
			this.port=data.port || this.port;
			this.pswd=data.pswd || this.pswd;
		}
		catch (err) { }
	}
	try {
		this.sqli=new SQLite(this.base);
		this.sckt=new Server(this.port);
	}
	catch (err) { print('->'+err+'\n'); }
}
SQLD.prototype.callback=function (rcd,usr) {
	var fld;
	var nme;
	var val;
	usr.rslt=usr.rslt+'DTA ';
	for (fld=0;fld<rcd.length;fld++) {
		nme=rcd.name(fld);
		val=rcd.value(fld);
		usr.rslt=usr.rslt+nme+'=\''+escape(val)+'\'';
		if (fld<rcd.length-1)
			usr.rslt=usr.rslt+','
	}
	usr.rslt=usr.rslt+'\n'
}
SQLD.prototype.sql=function(itm,cmd) {
	var cde="?????";
	var prm="";
	var sep=cmd.indexOf(" ");
	var msg="ERROR";

	if (sep>-1) {
		cde=cmd.substring(0,sep);
		prm=cmd.substring(sep+1);
		switch(cde) {
			case 'PWD' :
				this.list[itm].pswd=(this.pswd==prm);
				if (this.list[itm].pswd) 
					msg='OK';
			break;
			case 'SQL' :
				if (this.list[itm].pswd) {
					msg=(this.sqli.exec(prm,this.callback,this.list[itm])) ? 'OK' : 'ERROR';
				}
			break;
			case 'CLS' :
				this.list[itm].date=0;
				msg='OK';
			
		}
	}
	this.list[itm].rslt=this.list[itm].rslt+cde+" "+msg+'\n';	
}
SQLD.prototype.run=function() {
	var exit=false;
	var tnow=(new Date()).getTime();
	var tout=tnow+5000;
	var spcr=String.fromCharCode(13)+String.fromCharCode(10); // CRLF
	var psrc;

	while (! (jsShouldStop()||exit)) {
		try {
			if (this.sckt.anyoneWaiting) { // gerer en try ... catch la non affectation du port
				this.list.push( new user(this.sckt.accept(),tout) );
			}
			for (var item in this.list) {
				if (this.list[item].rslt!="") {
					this.list[item].sckt.write(this.list[item].rslt);
					this.list[item].rslt="";
				}
				if (this.list[item].sckt.canRead) {
					this.list[item].date=tout;
					this.list[item].buff=this.list[item].buff+this.list[item].sckt.read(10); // 10 => 80
					psrc=this.list[item].buff.indexOf(spcr);
					if (psrc>-1) {
						this.sql(item,this.list[item].buff.substring(0,psrc));
						this.list[item].buff='';
					}
				}
				else {
					// print(this.list[item].date+' < '+tnow+'\n');
					if (this.list[item].date<tnow) {
						this.list[item].sckt.close();
						delete this.list[item];
					}
				}
			}
		}
		catch (err) {
			print('->'+err+'\n');
			exit=false;
		}
	}
}
SQLD.prototype.close=function() {
	this.sckt.close();
	this.sqli.close();
}

var sqld=new SQLD();
print('base :'+sqld.base+'\n');
print('port :'+sqld.port+'\n');
sqld.run();
sqld.close();